cURL
curl --request GET \
--url https://api.feedspace.io/v3/feeds/text/{text_feed_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.feedspace.io/v3/feeds/text/{text_feed_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.feedspace.io/v3/feeds/text/{text_feed_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 9793,
"unique_feedback_id": "YiyoZB",
"language_id": null,
"public_url": "https://www.feedspace.io/f/YiyoZB",
"comment": "Nice product, keep going!",
"favourite": true,
"rating_type": "star",
"response": "5",
"review_title": "Excellent Service",
"sentiment_id": null,
"reviewed_at": "2025-04-07T06:12:05.000000Z",
"created_at": "2025-04-07T06:12:05.000000Z",
"feed_fields": {
"name": "Henry Ford",
"profile_pic_url": null,
"position": "Engineer",
"organization_name": null,
"consent": null
},
"feed_form": {
"name": "New Review Form",
"unique_form_id": "form_gSgElcsXX8LaI6RtMA6JqlkN",
"public_url": "https://www.feedspace.io/u/4en9smV"
},
"question_answers": [
{
"feed_form_question_id": 30081,
"question_type": 1,
"question_text": "name",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "Henry Ford",
"placeholder": "Name"
},
{
"feed_form_question_id": 30082,
"question_type": 1,
"question_text": "email",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "",
"placeholder": "Email"
},
{
"feed_form_question_id": 30084,
"question_type": 1,
"question_text": "position",
"default_value": "",
"question_label": "Job Role",
"mandatory": 0,
"answer": "Engineer",
"placeholder": "Job Role"
},
{
"feed_form_question_id": 30085,
"question_type": 1,
"question_text": "organization_name",
"default_value": "",
"question_label": "Company Name",
"mandatory": 0,
"answer": "",
"placeholder": "Company Name"
},
{
"feed_form_question_id": 30086,
"question_type": 1,
"question_text": "contact_number",
"default_value": "",
"question_label": "",
"mandatory": 0,
"answer": "",
"placeholder": "Contact Number"
},
{
"feed_form_question_id": 30083,
"question_type": 4,
"question_text": "consent",
"default_value": "",
"question_label": "I hereby grant permission to share this review with others.",
"mandatory": 0,
"answer": "1",
"placeholder": "Consent"
}
],
"extra_details": null,
"meta_properties": null,
"reviewer_social_urls": [],
"duplicated_from_id": null,
"attachments": []
}
}Text Reviews
Single Text Review
Get details of a specific text feed based on text feed ID.
GET
/
feeds
/
text
/
{text_feed_id}
cURL
Get details of a specific text feed based on text feed ID.
Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Path Parameters
The review's numeric ID, as returned in the id field of GET /feeds. This is not the unique_feedback_id field — that value is not accepted here.
Example:
9793
Response
200 - application/json
Text review details fetched successfully.
Show child attributes
Show child attributes
⌘I